Checkpoints
Permissions
List checkpoint permissions
get /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
List checkpoint permissions
Path Parameters
fine_tuned_model_checkpoint: string
Query Parameters
-
after: optional stringIdentifier for the last permission ID from the previous pagination request.
-
limit: optional numberNumber of permissions to retrieve.
-
order: optional "ascending" or "descending"The order in which to retrieve permissions.
-
"ascending" -
"descending"
-
-
project_id: optional stringThe ID of the project to get permissions for.
Returns
-
data: array of object { id, created_at, object, project_id }-
id: stringThe permission identifier, which can be referenced in the API endpoints.
-
created_at: numberThe Unix timestamp (in seconds) for when the permission was created.
-
object: "checkpoint.permission"The object type, which is always "checkpoint.permission".
"checkpoint.permission"
-
project_id: stringThe project identifier that the permission is for.
-
-
has_more: boolean -
object: "list""list"
-
first_id: optional string -
last_id: optional string
Example
curl https://api.openai.com/v1/fine_tuning/checkpoints/$FINE_TUNED_MODEL_CHECKPOINT/permissions \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"data": [
{
"id": "id",
"created_at": 0,
"object": "checkpoint.permission",
"project_id": "project_id"
}
],
"has_more": true,
"object": "list",
"first_id": "first_id",
"last_id": "last_id"
}
Example
curl https://api.openai.com/v1/fine_tuning/checkpoints/ft:gpt-4o-mini-2024-07-18:org:weather:B7R9VjQd/permissions \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"object": "list",
"data": [
{
"object": "checkpoint.permission",
"id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
"created_at": 1721764867,
"project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
},
{
"object": "checkpoint.permission",
"id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
"created_at": 1721764800,
"project_id": "proj_iqGMw1llN8IrBb6SvvY5A1oF"
},
],
"first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
"last_id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
"has_more": false
}
List checkpoint permissions
get /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
List checkpoint permissions
Path Parameters
fine_tuned_model_checkpoint: string
Query Parameters
-
after: optional stringIdentifier for the last permission ID from the previous pagination request.
-
limit: optional numberNumber of permissions to retrieve.
-
order: optional "ascending" or "descending"The order in which to retrieve permissions.
-
"ascending" -
"descending"
-
-
project_id: optional stringThe ID of the project to get permissions for.
Returns
-
data: array of object { id, created_at, object, project_id }-
id: stringThe permission identifier, which can be referenced in the API endpoints.
-
created_at: numberThe Unix timestamp (in seconds) for when the permission was created.
-
object: "checkpoint.permission"The object type, which is always "checkpoint.permission".
"checkpoint.permission"
-
project_id: stringThe project identifier that the permission is for.
-
-
has_more: boolean -
object: "list""list"
-
first_id: optional string -
last_id: optional string
Example
curl https://api.openai.com/v1/fine_tuning/checkpoints/$FINE_TUNED_MODEL_CHECKPOINT/permissions \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"data": [
{
"id": "id",
"created_at": 0,
"object": "checkpoint.permission",
"project_id": "project_id"
}
],
"has_more": true,
"object": "list",
"first_id": "first_id",
"last_id": "last_id"
}
Example
curl https://api.openai.com/v1/fine_tuning/checkpoints/ft:gpt-4o-mini-2024-07-18:org:weather:B7R9VjQd/permissions \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"object": "list",
"data": [
{
"object": "checkpoint.permission",
"id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
"created_at": 1721764867,
"project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
},
{
"object": "checkpoint.permission",
"id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
"created_at": 1721764800,
"project_id": "proj_iqGMw1llN8IrBb6SvvY5A1oF"
},
],
"first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
"last_id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
"has_more": false
}
Create checkpoint permissions
post /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
Create checkpoint permissions
Path Parameters
fine_tuned_model_checkpoint: string
Body Parameters
-
project_ids: array of stringThe project identifiers to grant access to.
Returns
-
data: array of object { id, created_at, object, project_id }-
id: stringThe permission identifier, which can be referenced in the API endpoints.
-
created_at: numberThe Unix timestamp (in seconds) for when the permission was created.
-
object: "checkpoint.permission"The object type, which is always "checkpoint.permission".
"checkpoint.permission"
-
project_id: stringThe project identifier that the permission is for.
-
-
has_more: boolean -
object: "list""list"
-
first_id: optional string -
last_id: optional string
Example
curl https://api.openai.com/v1/fine_tuning/checkpoints/$FINE_TUNED_MODEL_CHECKPOINT/permissions \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-d '{
"project_ids": [
"string"
]
}'
Response
{
"data": [
{
"id": "id",
"created_at": 0,
"object": "checkpoint.permission",
"project_id": "project_id"
}
],
"has_more": true,
"object": "list",
"first_id": "first_id",
"last_id": "last_id"
}
Example
curl https://api.openai.com/v1/fine_tuning/checkpoints/ft:gpt-4o-mini-2024-07-18:org:weather:B7R9VjQd/permissions \
-H "Authorization: Bearer $OPENAI_API_KEY"
-d '{"project_ids": ["proj_abGMw1llN8IrBb6SvvY5A1iH"]}'
Response
{
"object": "list",
"data": [
{
"object": "checkpoint.permission",
"id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
"created_at": 1721764867,
"project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
}
],
"first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
"last_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
"has_more": false
}
Delete checkpoint permission
delete /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions/{permission_id}
Delete checkpoint permission
Path Parameters
-
fine_tuned_model_checkpoint: string -
permission_id: string
Returns
-
id: stringThe ID of the fine-tuned model checkpoint permission that was deleted.
-
deleted: booleanWhether the fine-tuned model checkpoint permission was successfully deleted.
-
object: "checkpoint.permission"The object type, which is always "checkpoint.permission".
"checkpoint.permission"
Example
curl https://api.openai.com/v1/fine_tuning/checkpoints/$FINE_TUNED_MODEL_CHECKPOINT/permissions/$PERMISSION_ID \
-X DELETE \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "id",
"deleted": true,
"object": "checkpoint.permission"
}
Example
curl https://api.openai.com/v1/fine_tuning/checkpoints/ft:gpt-4o-mini-2024-07-18:org:weather:B7R9VjQd/permissions/cp_zc4Q7MP6XxulcVzj4MZdwsAB \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"object": "checkpoint.permission",
"id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
"deleted": true
}
Domain Types
Permission Retrieve Response
-
PermissionRetrieveResponse object { data, has_more, object, 2 more }-
data: array of object { id, created_at, object, project_id }-
id: stringThe permission identifier, which can be referenced in the API endpoints.
-
created_at: numberThe Unix timestamp (in seconds) for when the permission was created.
-
object: "checkpoint.permission"The object type, which is always "checkpoint.permission".
"checkpoint.permission"
-
project_id: stringThe project identifier that the permission is for.
-
-
has_more: boolean -
object: "list""list"
-
first_id: optional string -
last_id: optional string
-
Permission List Response
-
PermissionListResponse object { id, created_at, object, project_id }The
checkpoint.permissionobject represents a permission for a fine-tuned model checkpoint.-
id: stringThe permission identifier, which can be referenced in the API endpoints.
-
created_at: numberThe Unix timestamp (in seconds) for when the permission was created.
-
object: "checkpoint.permission"The object type, which is always "checkpoint.permission".
"checkpoint.permission"
-
project_id: stringThe project identifier that the permission is for.
-
Permission Create Response
-
PermissionCreateResponse object { id, created_at, object, project_id }The
checkpoint.permissionobject represents a permission for a fine-tuned model checkpoint.-
id: stringThe permission identifier, which can be referenced in the API endpoints.
-
created_at: numberThe Unix timestamp (in seconds) for when the permission was created.
-
object: "checkpoint.permission"The object type, which is always "checkpoint.permission".
"checkpoint.permission"
-
project_id: stringThe project identifier that the permission is for.
-
Permission Delete Response
-
PermissionDeleteResponse object { id, deleted, object }-
id: stringThe ID of the fine-tuned model checkpoint permission that was deleted.
-
deleted: booleanWhether the fine-tuned model checkpoint permission was successfully deleted.
-
object: "checkpoint.permission"The object type, which is always "checkpoint.permission".
"checkpoint.permission"
-